## screengrab 1.95+20160128

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

# set project's name
project(screengrab)

find_package(Qt5Widgets 5.2.0 REQUIRED)
find_package(Qt5X11Extras 5.2.0 REQUIRED)
find_package(Qt5Network 5.2.0 REQUIRED)
find_package(KF5WindowSystem REQUIRED)

# for translations
find_package(Qt5LinguistTools REQUIRED)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# long live cmake + qt :)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

include(GNUInstallDirs)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(X11)
if (X11_FOUND)
    set(HAVE_X11 1)
endif(X11_FOUND)

# set up xcb and x11_xcb

find_package(
    XCB MODULE COMPONENTS
        XCB
        SHAPE
        XFIXES
)

find_package(
    X11_XCB MODULE
)

# add version define
set(SCREENGRAB_VERSION "1.95")
set(SCREENGRAB_VERSION_DEV "2.0-beta1")
# set(DEV_BUILD True)

if(SCREENGRAB_VERSION_DEV)
    if(DEV_BUILD)
        # search git executable
        find_package(Git)
        if(GIT_FOUND)
        # executable git for check HEAD rev hash
        execute_process(
            COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
            OUTPUT_VARIABLE GIT_HASH
            OUTPUT_STRIP_TRAILING_WHITESPACE
        )
        endif()

        set(VERSION "${SCREENGRAB_VERSION}  (${SCREENGRAB_VERSION_DEV}-git-${GIT_HASH})")
    else()
        set(VERSION "${SCREENGRAB_VERSION}  (${SCREENGRAB_VERSION_DEV})")
    endif()
elseif(NOT SCREENGRAB_VERSION_DEV)
    set(VERSION "${SCREENGRAB_VERSION}")
endif(SCREENGRAB_VERSION_DEV)

add_definitions(-DVERSION="${VERSION}")

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

message(STATUS "Build type: " ${CMAKE_BUILD_TYPE})
message(STATUS "Install prefix: " ${CMAKE_INSTALL_PREFIX})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Woverloaded-virtual -Wall -Wextra")

set(SG_LIBDIR "${CMAKE_INSTALL_LIBDIR}/screengrab")
set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${SG_LIBDIR}")
message(STATUS "Library path: ${CMAKE_INSTALL_RPATH}")

# options
option(SG_GLOBALSHORTCUTS "Enable global shortcuts" OFF)
option(SG_EXT_UPLOADS "Enable upload screenshots to Imgur" ON)
option(SG_EXT_EDIT "Enable ability to edit screenshots in external editor" ON)
option(SG_DBUS_NOTIFY "Enable D-Bus notifications" ON)
option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

# Although the names, LXQtTranslateTs and LXQtTranslateDesktop, they don't
#   bring any dependency on lxqt.
include(LXQtTranslateTs)
include(LXQtTranslateDesktop)
include(Qt5TranslationLoader)

if(SG_GLOBALSHORTCUTS)
    add_definitions( -DSG_GLOBAL_SHORTCUTS="1")

    if(SG_USE_SYSTEM_QXT)
        # find qxt
        find_package(Qxt REQUIRED COMPONENTS QxtCore, QxtGui)
        include_directories(${QXT_QXTCORE_INCLUDE_DIR} ${QXT_QXTGUI_INCLUDE_DIR})
    endif()
endif(SG_GLOBALSHORTCUTS)

if(SG_EXT_UPLOADS)
    add_definitions( -DSG_EXT_UPLOADS="1")
endif()

if(SG_EXT_EDIT)
    add_definitions( -DSG_EXT_EDIT="1")
    find_package(Qt5Xdg REQUIRED)
endif()

if(SG_DBUS_NOTIFY)
    find_package(Qt5DBus 5.2 REQUIRED)
    add_definitions( -DSG_DBUS_NOTIFY="1")
endif()

message(STATUS "Global shortcuts support: " ${SG_GLOBALSHORTCUTS})
message(STATUS "Imgur upload support: " ${SG_EXT_UPLOADS})
message(STATUS "Editing screenshots in external editor support: " ${SG_EXT_EDIT})
message(STATUS "Enable D-Bus notifications: " ${SG_DBUS_NOTIFY})
message(STATUS "Use system Qxt Library: " ${SG_USE_SYSTEM_QXT})
message(STATUS "Update source translation translations/*.ts files: " ${UPDATE_TRANSLATIONS})

# docs
# CMAKE_INSTALL_FULL_DOCDIR = CMAKE_INSTALL_PREFIX/CMAKE_INSTALL_DATADIR/doc/PROJECT_NAME
message(STATUS "Documentation directory: " ${CMAKE_INSTALL_FULL_DOCDIR})
add_definitions(-DSG_DOCDIR="${CMAKE_INSTALL_FULL_DOCDIR}")

# app icon path
add_definitions(-DSG_ICONPATH="${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/pixmaps/screengrab.png")

include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src")
add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/common/qkeysequencewidget")
include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/common/qkeysequencewidget/src")

if(SG_EXT_UPLOADS)
    include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/uploader")
    add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/uploader")
endif()

if (SG_EXT_EDIT)
    include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/extedit")
    add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/extedit")
endif()

set(SCREENGRAB_SRC
    src/core/main.cpp
    src/core/singleapp.cpp
    src/core/core.cpp
    src/core/config.cpp
    src/core/regionselect.cpp
    src/core/shortcutmanager.cpp
    src/core/modulemanager.cpp
    src/core/ui/configwidget.cpp
    src/core/ui/about.cpp
    src/core/ui/mainwindow.cpp
)

if(SG_DBUS_NOTIFY)
    set(SCREENGRAB_SRC ${SCREENGRAB_SRC} src/core/dbusnotifier.cpp)
endif()

if(X11_FOUND)
    set(SCREENGRAB_SRC ${SCREENGRAB_SRC} src/core/x11utils.cpp)
endif()

set(SCREENGRAB_HDR
    src/core/singleapp.h
)

set(SCREENGRAB_UI
    src/core/ui/configwidget.ui
    src/core/ui/aboutwidget.ui
    src/core/ui/mainwindow.ui
)

# Qt resource file
set(SCREENGRAB_QRC screengrab.qrc)
qt5_add_resources(QRC_SOURCES ${SCREENGRAB_QRC})

message(STATUS "Generating localize ...")

set(SCREENGRAB_DESKTOP_FILES_IN
    screengrab.desktop.in
)

lxqt_translate_ts(SCREENGRAB_QMS
    USE_QT5 TRUE
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
        ${SCREENGRAB_SRC}
        ${SCREENGRAB_UI}
    INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
)

lxqt_translate_desktop(SCREENGRAB_DESKTOP_FILES
    SOURCES ${SCREENGRAB_DESKTOP_FILES_IN}
)

qt5_translation_loader(SCREENGRAB_QM_LOADER
    "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}/translations"
    ${PROJECT_NAME}
)

# generating executable
add_executable(screengrab
    ${SCREENGRAB_SRC}
    ${SCREENGRAB_UI_H}
    ${QRC_SOURCES}
    ${SCREENGRAB_QMS}
    ${SCREENGRAB_DESKTOP_FILES}
    ${SCREENGRAB_QM_LOADER}
)

if(SG_GLOBALSHORTCUTS)
    if(SG_USE_SYSTEM_QXT)
        target_link_libraries(screengrab ${QXT_QXTCORE_LIB_RELEASE} ${QXT_QXTGUI_LIB_RELEASE})
    else(SG_USE_SYSTEM_QXT)
        target_link_libraries(screengrab qxt)
    endif(SG_USE_SYSTEM_QXT)
endif()

if(SG_EXT_UPLOADS)
    target_link_libraries(screengrab uploader)
endif()

if(SG_EXT_EDIT)
    target_link_libraries(screengrab extedit)
endif()

if(SG_DBUS_NOTIFY)
    target_link_libraries(screengrab Qt5::DBus)
endif()

if (X11_XCB_FOUND)
    add_definitions( -DX11_XCB_FOUND="1")
    target_link_libraries(screengrab ${X11_XCB_LIBRARIES})
endif()

if (XCB_XCB_FOUND)
    add_definitions( -DXCB_XCB_FOUND="1")
    target_link_libraries(screengrab ${XCB_XCB_LIBRARY})
endif()

if (XCB_SHAPE_FOUND)
    add_definitions( -DXCB_SHAPE_FOUND="1")
    target_link_libraries(screengrab ${XCB_SHAPE_LIBRARY})
endif()

if (XCB_XFIXES_FOUND)
    add_definitions( -DXCB_XFOXES_FOUND="1")
    target_link_libraries(screengrab ${XCB_XFIXES_LIBRARY})
endif()

target_link_libraries(screengrab qkeysequencewidget Qt5::Widgets KF5::WindowSystem ${X11_LIBRARIES})

# make src.tar.gz
add_custom_target(dist @echo create source package)
set(SCREENGRAB_DIST "screengrab-${SCREENGRAB_VERSION}")
add_custom_command(COMMAND cp
    ARGS -R ${CMAKE_CURRENT_SOURCE_DIR} "/tmp/${SCREENGRAB_DIST}"
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    TARGET dist
)

add_custom_command(COMMAND tar
    ARGS cvfz "${CMAKE_CURRENT_BINARY_DIR}/${SCREENGRAB_DIST}.tar.gz" --exclude=*~ --exclude-vcs --exclude=localize/*qm --exclude=*.kdev4 --exclude=build --exclude=create-src.sh --exclude=win32 -C "/tmp" "${SCREENGRAB_DIST}"
    WORKING_DIRECTORY "/tmp"
    TARGET dist
)

add_custom_command(COMMAND rm
    ARGS -rf "/tmp/${SCREENGRAB_DIST}"
    WORKING_DIRECTORY "/tmp"
    TARGET dist
)

# installing
install(TARGETS screengrab RUNTIME DESTINATION bin)
# install html docs
install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/docs/html" DESTINATION "${CMAKE_INSTALL_FULL_DOCDIR}")
# install desktop files
install(FILES ${SCREENGRAB_DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
# install pixmap
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/img/screengrab.png" DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps")

## screengrab 1.95+20151117

=== debian/changelog ===
screengrab (1.95+20151117-4) unstable; urgency=medium

  * modify some build dependencies - and remove the limit of
    xfixes0-dev:
    Added libx11-xcb-dev,
    Added libxcb1-dev,
    Removed x11-utils
  * move from experimental to unstable

 -- Alf Gaida <agaida@siduction.org>  Sun, 20 Dec 2015 20:29:31 +0100

screengrab (1.95+20151117-3) experimental; urgency=medium

  * Build  dependency libxcb-xfixes0-dev leads to FTBFS when not limited
    to [linux-any] 
  * Removed build dependency libqxt-dev, it's not used with Qt 5 

 -- Alf Gaida <agaida@siduction.org>  Thu, 26 Nov 2015 02:58:26 +0100

screengrab (1.95+20151117-2) experimental; urgency=medium

  * Added X11-Utils as build dependency

 -- Alf Gaida <agaida@siduction.org>  Fri, 20 Nov 2015 02:37:20 +0100

screengrab (1.95+20151117-1) experimental; urgency=medium

  * Cherry-picking upstream version 1.95+20151117.
  * Added libxcb-xfixes0-dev as build dependency

 -- Alf Gaida <agaida@siduction.org>  Fri, 20 Nov 2015 00:23:43 +0100

screengrab (1.95+20150929-1) experimental; urgency=medium

  [Alf Gaida ]
  * Cherry-picking upstream version 1.95+20150929.
  * Changed mail address of czchen
  * Added .gitignore
  * Added watch file
  * Added lintian-overrides
  * Added debug package
  * Fixed copyright
  * Deleted debian/install, use override_dh_auto_install instead
  * Cleaned source/options
  * Initial packaging (Closes: #795791)

  [ ChangZhuo Chen (陳昌倬) ]
  * Fix changelog package name in changelog
  * Reformat control
  * Remove non upstream file

  [ Andrew Lee (李健秋) ]
  * Adding upstream version 1.95_pr1.

 -- Alf Gaida <agaida@siduction.org>  Sun, 01 Nov 2015 23:34:44 +0100

=== debian/control ===
Source: screengrab
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 1.3.0),
               libx11-dev,
               libx11-xcb-dev,
               libxcb1-dev,
               libxcb-xfixes0-dev [!kfreebsd-any],
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/screengrab.git
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/screengrab.git
Homepage: https://github.com/QtDesktop/screengrab

Package: screengrab
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Crossplatform tool for getting screenshots
 Screengrab working in Linux and Windows. The program uses Qt and is
 independent of any desktop environment.
 Main features:
  * Get desktop screenshots
  * Get active window screenshots
  * Get secreenshots of desktop selection area
  * Copy screenshot to clipboard
  * Saving your image files in formats PNG or JPEG or BMP
  * Ability to set delay in getting screenshots (from 1 to 90 seconds)

Package: screengrab-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         screengrab,
Description: Crossplatform tool for getting screenshots (debug)
 Screengrab working in Linux and Windows. The program uses Qt and is
 independent of any desktop environment.
 .
 This package contain the debugging symbols for screengrab.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/screengrab

override_dh_install:
	rm -f $(currdir)/debian/screengrab/usr/share/doc/screengrab/LICENSE.txt
	dh_install

override_dh_strip:
	dh_strip --dbg-package screengrab-dbg


override_dh_makeshlibs:
	# do nothing

## screengrab 1.95+20160128

=== debian/changelog ===
screengrab (1.95+20160128-1) unstable; urgency=medium

  * Cherry-picking upstream version 1.95+20160128.
  * Fixed upload to Imgur
  * Drop debug package
  * use secure VCS uris
  * add hardening=+all 
  * make builds reproducible (Closes: #813167)

 -- Alf Gaida <agaida@siduction.org>  Sat, 30 Jan 2016 03:19:31 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                qttools5-dev,
                qttools5-dev-tools,
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/screengrab.git
-Vcs-Git: git://anonscm.debian.org/pkg-lxqt/screengrab.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/screengrab.git
+Vcs-Git: https://anonscm.debian.org/pkg-lxqt/screengrab.git
 Homepage: https://github.com/QtDesktop/screengrab
 
 Package: screengrab
@@ -36,15 +36,3 @@
   * Copy screenshot to clipboard
   * Saving your image files in formats PNG or JPEG or BMP
   * Ability to set delay in getting screenshots (from 1 to 90 seconds)
-
-Package: screengrab-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ${misc:Depends},
-         screengrab,
-Description: Crossplatform tool for getting screenshots (debug)
- Screengrab working in Linux and Windows. The program uses Qt and is
- independent of any desktop environment.
- .
- This package contain the debugging symbols for screengrab.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_install:
	rm -f $(currdir)/debian/screengrab/usr/share/doc/screengrab/LICENSE.txt
	dh_install

override_dh_makeshlibs:
	# do nothing

=== debian/watch ===
version=3
https://github.com/QtDesktop/screengrab/releases .*/(.*)\.tar\.gz

## screengrab 1.96

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
 )
 
 # add version define
-set(SCREENGRAB_VERSION "1.95")
+set(SCREENGRAB_VERSION "1.96")
 set(SCREENGRAB_VERSION_DEV "2.0-beta1")
 # set(DEV_BUILD True)

=== debian/changelog ===
screengrab (1.96-1) unstable; urgency=medium

  * Cherry-picked upstream version 1.96.
  * Removed disable-upload.patch, applied upstream
  * Bumped minimum version libqt5xdg-dev (>= 2.0.0) 
  * Added buid dependency libqt5svg5-dev
  * Added build dependency libqt5xdgiconloader-dev
  * Removed --parallel from rules, compat 10 standard

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 23:59:57 +0200

screengrab (1.96~38-g975f8ce-1) unstable; urgency=medium

  * Cherry-picked upstream snapshot 1.96~38-g975f8ce
  * Removed not needed reproducible.patch, merged upstream
  * Added patch build-date-time.patch 
  * Added patch disable-uploads.patch, core-cli-upload-option.patch,
    disable-cli-upload-option.patch (Closes: #834517)
  * Bumped compat to 10
  * Bumped dependency debhelper (>= 10)
  * Bumped Standards to 3.9.8, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Mon, 19 Sep 2016 03:56:48 +0200

screengrab (1.95+20160128-3) unstable; urgency=medium

  * Set LC_ALL for reproducible builds.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 08 Aug 2016 00:20:01 +0800

screengrab (1.95+20160128-2) unstable; urgency=medium

  * make builds reproducible again (Closes: #815899), thanks to Eduard Sanou
    for the patch, but i fixed this already upstream
  * Bump Standard to 3.9.7

 -- Alf Gaida <agaida@siduction.org>  Thu, 25 Feb 2016 21:03:01 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,23 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake (>= 3.0.2),
                libkf5windowsystem-dev,
+	       libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 1.3.0),
+               libqt5xdg-dev (>= 2.0.0),
+               libqt5xdgiconloader-dev,
                libx11-dev,
                libx11-xcb-dev,
                libxcb1-dev,
                libxcb-xfixes0-dev [!kfreebsd-any],
                pkg-config,
                qttools5-dev,
-               qttools5-dev-tools,
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/screengrab.git
-Vcs-Git: https://anonscm.debian.org/pkg-lxqt/screengrab.git
+               qttools5-dev-tools
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/screengrab.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/screengrab.git -b debian/sid
 Homepage: https://github.com/QtDesktop/screengrab
 
 Package: screengrab

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --buildsystem=cmake --parallel
+	dh ${@} --buildsystem=cmake 
 
 override_dh_install:
 	rm -f $(currdir)/debian/screengrab/usr/share/doc/screengrab/LICENSE.txt

## screengrab 1.97

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
 )
 
 # add version define
-set(SCREENGRAB_VERSION "1.96")
+set(SCREENGRAB_VERSION "1.97")
 set(SCREENGRAB_VERSION_DEV "2.0-beta1")
 # set(DEV_BUILD True)

=== src/modules/uploader/CMakeLists.txt ===
set(uploader_SRC
	moduleuploader.cpp
	uploader.cpp
	imgur/uploader_imgur.cpp
    uploaderconfig.cpp
    dialoguploader.cpp
	uploaderconfigwidget.cpp
	imgur/uploader_imgur_widget.cpp
	imgur/uploaderconfigwidget_imgur.cpp
)

set(uploader_UI
	dialoguploader.ui
	uploaderconfigwidget.ui
	imgur/uploader_imgur_widget.ui
	imgur/uploaderconfigwidget_imgur.ui
)

lxqt_translate_ts(uploader_QMS
    USE_QT5 TRUE
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    TEMPLATE "uploader"
    TRANSLATION_DIR "${CMAKE_SOURCE_DIR}/translations"
    SOURCES
        ${uploader_SRC}
        ${uploader_UI}
    INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
)

qt5_translation_loader(uploader_QM_LOADER
    "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}/translations"
    "uploader"
)

add_library(uploader
    SHARED
        ${uploader_SRC}
        ${uploader_UI}
        ${uploader_QMS}
        ${uploader_QM_LOADER}
)

set_property (TARGET uploader PROPERTY SOVERSION 1.0.0)
install(TARGETS uploader DESTINATION ${SG_LIBDIR})

target_link_libraries(uploader Qt5::Widgets Qt5::Network Qt5::X11Extras)

=== debian/changelog ===
screengrab (1.97-2) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields

 -- Alf Gaida <agaida@siduction.org>  Fri, 15 Dec 2017 19:20:30 +0100

screengrab (1.97-1) unstable; urgency=medium

  * Cherry-picked upstream version 1.97.
  * Bumped Standards to  4.1.0, no changes needed
  * Bumped year in copyrights
  * Added CMAKE_BUILD_TYPE=RelWithDebInfo
  * Added pgpsignmangle to watch file
  * Added upstream signing key to debian
  * Fixed spelling error in changelog
  * Closes: #876853 

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Sep 2017 22:56:04 +0200

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
                pkg-config,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/screengrab.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/screengrab.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/screengrab.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/screengrab.git
 Homepage: https://github.com/QtDesktop/screengrab
 
 Package: screengrab

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 
 override_dh_makeshlibs:
 	# do nothing
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/QtDesktop/screengrab/releases .*/screengrab-([\d\.]+).tar.xz

## screengrab 1.98

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # set project's name
 project(screengrab)
 
-find_package(Qt5Widgets 5.2.0 REQUIRED)
-find_package(Qt5X11Extras 5.2.0 REQUIRED)
-find_package(Qt5Network 5.2.0 REQUIRED)
+find_package(Qt5Widgets 5.7.1 REQUIRED)
+find_package(Qt5X11Extras 5.7.1 REQUIRED)
+find_package(Qt5Network 5.7.1 REQUIRED)
 find_package(KF5WindowSystem REQUIRED)
 
 # for translations
@@ -39,7 +39,7 @@
 )
 
 # add version define
-set(SCREENGRAB_VERSION "1.97")
+set(SCREENGRAB_VERSION "1.98")
 set(SCREENGRAB_VERSION_DEV "2.0-beta1")
 # set(DEV_BUILD True)
 
@@ -64,7 +64,10 @@
     set(VERSION "${SCREENGRAB_VERSION}")
 endif(SCREENGRAB_VERSION_DEV)
 
-add_definitions(-DVERSION="${VERSION}")
+add_definitions(
+    -DVERSION="${VERSION}"
+    -DQT_NO_FOREACH
+)
 
 if(NOT CMAKE_BUILD_TYPE)
     set(CMAKE_BUILD_TYPE Release)
@@ -182,6 +185,10 @@
 
 message(STATUS "Generating localize ...")
 
+set(SCREENGRAB_CONFIG_FILES
+    screengrab.conf
+)
+
 set(SCREENGRAB_DESKTOP_FILES_IN
     screengrab.desktop.in
 )
@@ -256,31 +263,12 @@
 
 target_link_libraries(screengrab qkeysequencewidget Qt5::Widgets KF5::WindowSystem ${X11_LIBRARIES})
 
-# make src.tar.gz
-add_custom_target(dist @echo create source package)
-set(SCREENGRAB_DIST "screengrab-${SCREENGRAB_VERSION}")
-add_custom_command(COMMAND cp
-    ARGS -R ${CMAKE_CURRENT_SOURCE_DIR} "/tmp/${SCREENGRAB_DIST}"
-    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
-    TARGET dist
-)
-
-add_custom_command(COMMAND tar
-    ARGS cvfz "${CMAKE_CURRENT_BINARY_DIR}/${SCREENGRAB_DIST}.tar.gz" --exclude=*~ --exclude-vcs --exclude=localize/*qm --exclude=*.kdev4 --exclude=build --exclude=create-src.sh --exclude=win32 -C "/tmp" "${SCREENGRAB_DIST}"
-    WORKING_DIRECTORY "/tmp"
-    TARGET dist
-)
-
-add_custom_command(COMMAND rm
-    ARGS -rf "/tmp/${SCREENGRAB_DIST}"
-    WORKING_DIRECTORY "/tmp"
-    TARGET dist
-)
-
 # installing
 install(TARGETS screengrab RUNTIME DESTINATION bin)
 # install html docs
 install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/docs/html" DESTINATION "${CMAKE_INSTALL_FULL_DOCDIR}")
+# install config files
+install(FILES ${SCREENGRAB_CONFIG_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME})
 # install desktop files
 install(FILES ${SCREENGRAB_DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
 # install pixmap

## screengrab 1.99

=== CMakeLists.txt ===
--- 
+++ 
@@ -261,7 +261,8 @@
     target_link_libraries(screengrab ${XCB_XFIXES_LIBRARY})
 endif()
 
-target_link_libraries(screengrab qkeysequencewidget Qt5::Widgets KF5::WindowSystem ${X11_LIBRARIES})
+# Link with Network and X11Extras. See pull#86. TODO: Should be optional when upload module is needed.
+target_link_libraries(screengrab qkeysequencewidget Qt5::Widgets KF5::WindowSystem Qt5::X11Extras Qt5::Network ${X11_LIBRARIES})
 
 # installing
 install(TARGETS screengrab RUNTIME DESTINATION bin)

=== debian/changelog ===
screengrab (1.99-1) unstable; urgency=medium

  * Cherry-picked upstream version 1.99.
  * Picked fix-reading-config.patch from upstream
    Big thanks to Helge Kreutzmann <debian@helgefjell.de> and
    Bernhard Übelacker <bernhardu@mailbox.org>
    (Closes: #905967)
  * Bumped Standards to 4.2.0, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 Aug 2018 15:26:53 +0200

screengrab (1.98-1) unstable; urgency=medium

  * Cherry-picked upstream version 1.98.
  * Removed date-time patch, applied upstream
  * Refreshed the remaining patches
  * Fixed system-wide configuration (Closes: #893809)
  * Fixed default file format (Closes: LP1733461)

 -- Alf Gaida <agaida@siduction.org>  Tue, 22 May 2018 18:01:45 +0200

screengrab (1.97-3) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Removed not needed cmake minimum version
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Use a secure url for copyright-format
  * Bumped years in copyright
  * Removed trailing whitespaces from changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 23:05:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               cmake (>= 3.0.2),
+Build-Depends: debhelper (>= 11~),
+               cmake,
                libkf5windowsystem-dev,
-	       libqt5svg5-dev,
+               libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 2.0.0),
-               libqt5xdgiconloader-dev,
+               libqt5xdg-dev (>= 2.0.0~),
+               libqt5xdgiconloader-dev (>= 2.0.0~) ,
                libx11-dev,
                libx11-xcb-dev,
                libxcb1-dev,
@@ -19,10 +19,10 @@
                pkg-config,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/screengrab.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/screengrab.git
-Homepage: https://github.com/QtDesktop/screengrab
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
+Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git
+Homepage: https://github.com/lxqt/screengrab
 
 Package: screengrab
 Architecture: any

## screengrab 1.100

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,31 +1,36 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-
-# set project's name
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(screengrab)
-
-find_package(Qt5Widgets 5.7.1 REQUIRED)
-find_package(Qt5X11Extras 5.7.1 REQUIRED)
-find_package(Qt5Network 5.7.1 REQUIRED)
-find_package(KF5WindowSystem REQUIRED)
-
-# for translations
-find_package(Qt5LinguistTools REQUIRED)
-
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
-# long live cmake + qt :)
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTOUIC ON)
 
 include(GNUInstallDirs)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
+
+# options
+option(SG_DBUS_NOTIFY "Enable D-Bus notifications" ON)
+option(SG_EXT_EDIT "Enable ability to edit screenshots in external editor" ON)
+option(SG_EXT_UPLOADS "Enable upload screenshots to Imgur" ON)
+option(SG_GLOBALSHORTCUTS "Enable global shortcuts" OFF)
+option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
+
+# Minimum Versions
+set(KF5_MINIMUM_VERSION "5.36.0")
+set(QT_MINIMUM_VERSION "5.7.1")
+set(QTXDG_MINIMUM_VERSION "3.3.0")
+
+find_package(Qt5LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5Network ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
 
 find_package(X11)
 if (X11_FOUND)
     set(HAVE_X11 1)
 endif(X11_FOUND)
-
-# set up xcb and x11_xcb
 
 find_package(
     XCB MODULE COMPONENTS
@@ -33,36 +38,21 @@
         SHAPE
         XFIXES
 )
-
 find_package(
     X11_XCB MODULE
 )
 
-# add version define
-set(SCREENGRAB_VERSION "1.98")
-set(SCREENGRAB_VERSION_DEV "2.0-beta1")
-# set(DEV_BUILD True)
-
-if(SCREENGRAB_VERSION_DEV)
-    if(DEV_BUILD)
-        # search git executable
-        find_package(Git)
-        if(GIT_FOUND)
-        # executable git for check HEAD rev hash
-        execute_process(
-            COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
-            OUTPUT_VARIABLE GIT_HASH
-            OUTPUT_STRIP_TRAILING_WHITESPACE
-        )
-        endif()
-
-        set(VERSION "${SCREENGRAB_VERSION}  (${SCREENGRAB_VERSION_DEV}-git-${GIT_HASH})")
-    else()
-        set(VERSION "${SCREENGRAB_VERSION}  (${SCREENGRAB_VERSION_DEV})")
-    endif()
-elseif(NOT SCREENGRAB_VERSION_DEV)
-    set(VERSION "${SCREENGRAB_VERSION}")
-endif(SCREENGRAB_VERSION_DEV)
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTOUIC ON)
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
+
+set(SCREENGRAB_VERSION "1.100")
+
+if (DEV_VERSION)
+    set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")
+else()
+    set(VERSION ${SCREENGRAB_VERSION})
+endif()
 
 add_definitions(
     -DVERSION="${VERSION}"
@@ -81,13 +71,6 @@
 set(SG_LIBDIR "${CMAKE_INSTALL_LIBDIR}/screengrab")
 set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${SG_LIBDIR}")
 message(STATUS "Library path: ${CMAKE_INSTALL_RPATH}")
-
-# options
-option(SG_GLOBALSHORTCUTS "Enable global shortcuts" OFF)
-option(SG_EXT_UPLOADS "Enable upload screenshots to Imgur" ON)
-option(SG_EXT_EDIT "Enable ability to edit screenshots in external editor" ON)
-option(SG_DBUS_NOTIFY "Enable D-Bus notifications" ON)
-option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Although the names, LXQtTranslateTs and LXQtTranslateDesktop, they don't
 #   bring any dependency on lxqt.
@@ -111,11 +94,11 @@
 
 if(SG_EXT_EDIT)
     add_definitions( -DSG_EXT_EDIT="1")
-    find_package(Qt5Xdg REQUIRED)
+    find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
 endif()
 
 if(SG_DBUS_NOTIFY)
-    find_package(Qt5DBus 5.2 REQUIRED)
+    find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
     add_definitions( -DSG_DBUS_NOTIFY="1")
 endif()

=== debian/changelog ===
screengrab (1.100-1) unstable; urgency=medium

  * Cherry-picked upstream version 1.100.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Removed fix-reading-config.patch, applied upstream
  * Bumped minimum version libqt5xdg-dev (>= 3.3.0~)
  * Bumped minimum version libqt5xdgiconloader-dev (>= 3.3.0~)
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 13:20:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 2.0.0~),
-               libqt5xdgiconloader-dev (>= 2.0.0~) ,
+               libqt5xdg-dev (>= 3.3.0~),
+               libqt5xdgiconloader-dev (>= 3.3.0~) ,
                libx11-dev,
                libx11-xcb-dev,
                libxcb1-dev,
@@ -19,7 +19,7 @@
                pkg-config,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
 Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git
 Homepage: https://github.com/lxqt/screengrab

## screengrab 1.101

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(QT_MINIMUM_VERSION "5.7.1")
-set(QTXDG_MINIMUM_VERSION "3.3.0")
+set(QTXDG_MINIMUM_VERSION "3.3.1")
 
 find_package(Qt5LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Network ${QT_MINIMUM_VERSION} REQUIRED)
@@ -46,7 +46,7 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(SCREENGRAB_VERSION "1.100")
+set(SCREENGRAB_VERSION "1.101")
 
 if (DEV_VERSION)
     set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")

=== src/common/qkeysequencewidget/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories(${Qt5Widgets_INCLUDE_DIRS})

add_definitions(${Qt5Widgets_DEFINITIONS})

OPTION (QKSW_SHARED "Use QKeysequenseWidget as shared library" OFF)

set (QKSW_SRC
  src/qkeysequencewidget.cpp)

set (QKSW_HDR
  src/qkeysequencewidget.h
  src/qkeysequencewidget_p.h)

set (QKSW_QRC
  qkeysequencewidget.qrc)

qt5_add_resources(QKSW_QRC ${QKSW_QRC})

if(QKSW_SHARED)
    add_definitions(-DIS_SHARED="true")
	add_library(qkeysequencewidget SHARED ${QKSW_SRC} ${QKSW_QRC})
	set_property(TARGET qkeysequencewidget PROPERTY SOVERSION 1.0.0)
	INSTALL (TARGETS qkeysequencewidget DESTINATION ${SG_LIBDIR})
else(QKSW_SHARED)
	add_library(qkeysequencewidget STATIC ${QKSW_SRC} ${QKSW_QRC})
endif(QKSW_SHARED)

target_link_libraries(qkeysequencewidget Qt5::Widgets)

=== debian/changelog ===
screengrab (1.101-1) unstable; urgency=medium

  * Cherry-picked upstream version 1.101.

 -- Alf Gaida <agaida@siduction.org>  Mon, 25 Feb 2019 23:55:11 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 3.3.0~),
-               libqt5xdgiconloader-dev (>= 3.3.0~) ,
+               libqt5xdg-dev (>= 3.3.1~),
+               libqt5xdgiconloader-dev (>= 3.3.1~) ,
                libx11-dev,
                libx11-xcb-dev,
                libxcb1-dev,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh ${@} --buildsystem=cmake 
+	dh ${@} --buildsystem=cmake
 
 override_dh_install:
 	rm -f $(currdir)/debian/screengrab/usr/share/doc/screengrab/LICENSE.txt

## screengrab 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,14 +12,12 @@
 # options
 option(SG_DBUS_NOTIFY "Enable D-Bus notifications" ON)
 option(SG_EXT_EDIT "Enable ability to edit screenshots in external editor" ON)
-option(SG_EXT_UPLOADS "Enable upload screenshots to Imgur" ON)
-option(SG_GLOBALSHORTCUTS "Enable global shortcuts" OFF)
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(QT_MINIMUM_VERSION "5.7.1")
-set(QTXDG_MINIMUM_VERSION "3.3.1")
+set(QT_MINIMUM_VERSION "5.10.0")
+set(QTXDG_MINIMUM_VERSION "3.4.0")
 
 find_package(Qt5LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Network ${QT_MINIMUM_VERSION} REQUIRED)
@@ -27,26 +25,26 @@
 find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
 
-find_package(X11)
-if (X11_FOUND)
-    set(HAVE_X11 1)
-endif(X11_FOUND)
+# right now we declare it as required
+find_package(X11 REQUIRED)
+set(HAVE_X11 1)
 
 find_package(
-    XCB MODULE COMPONENTS
+    XCB REQUIRED MODULE COMPONENTS
         XCB
         SHAPE
         XFIXES
 )
+
 find_package(
-    X11_XCB MODULE
+    X11_XCB REQUIRED MODULE
 )
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(SCREENGRAB_VERSION "1.101")
+set(SCREENGRAB_VERSION "2.0.0")
 
 if (DEV_VERSION)
     set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")
@@ -78,20 +76,6 @@
 include(LXQtTranslateDesktop)
 include(Qt5TranslationLoader)
 
-if(SG_GLOBALSHORTCUTS)
-    add_definitions( -DSG_GLOBAL_SHORTCUTS="1")
-
-    if(SG_USE_SYSTEM_QXT)
-        # find qxt
-        find_package(Qxt REQUIRED COMPONENTS QxtCore, QxtGui)
-        include_directories(${QXT_QXTCORE_INCLUDE_DIR} ${QXT_QXTGUI_INCLUDE_DIR})
-    endif()
-endif(SG_GLOBALSHORTCUTS)
-
-if(SG_EXT_UPLOADS)
-    add_definitions( -DSG_EXT_UPLOADS="1")
-endif()
-
 if(SG_EXT_EDIT)
     add_definitions( -DSG_EXT_EDIT="1")
     find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
@@ -102,8 +86,6 @@
     add_definitions( -DSG_DBUS_NOTIFY="1")
 endif()
 
-message(STATUS "Global shortcuts support: " ${SG_GLOBALSHORTCUTS})
-message(STATUS "Imgur upload support: " ${SG_EXT_UPLOADS})
 message(STATUS "Editing screenshots in external editor support: " ${SG_EXT_EDIT})
 message(STATUS "Enable D-Bus notifications: " ${SG_DBUS_NOTIFY})
 message(STATUS "Use system Qxt Library: " ${SG_USE_SYSTEM_QXT})
@@ -120,11 +102,6 @@
 include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src")
 add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/common/qkeysequencewidget")
 include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/common/qkeysequencewidget/src")
-
-if(SG_EXT_UPLOADS)
-    include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/uploader")
-    add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/uploader")
-endif()
 
 if (SG_EXT_EDIT)
     include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/extedit")
@@ -204,18 +181,6 @@
     ${SCREENGRAB_QM_LOADER}
 )
 
-if(SG_GLOBALSHORTCUTS)
-    if(SG_USE_SYSTEM_QXT)
-        target_link_libraries(screengrab ${QXT_QXTCORE_LIB_RELEASE} ${QXT_QXTGUI_LIB_RELEASE})
-    else(SG_USE_SYSTEM_QXT)
-        target_link_libraries(screengrab qxt)
-    endif(SG_USE_SYSTEM_QXT)
-endif()
-
-if(SG_EXT_UPLOADS)
-    target_link_libraries(screengrab uploader)
-endif()
-
 if(SG_EXT_EDIT)
     target_link_libraries(screengrab extedit)
 endif()

=== src/modules/extedit/CMakeLists.txt ===
set (extedit_SRC
    moduleextedit.cpp
    extedit.cpp
)

set (extedit_HDR
    extedit.h
)

lxqt_translate_ts(extedit_QMS
    USE_QT5 TRUE
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    TEMPLATE "extedit"
    TRANSLATION_DIR "${CMAKE_SOURCE_DIR}/translations"
    SOURCES
        ${extedit_SRC}
        ${extedit_HDR}
    INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
)

qt5_translation_loader(extedit_QM_LOADER
    "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}/translations"
    "extedit"
)

add_library(extedit
    SHARED
        ${extedit_SRC}
        ${extedit_QMS}
        ${extedit_QM_LOADER}
)
set_property (TARGET extedit PROPERTY SOVERSION 1.0.0)
install(TARGETS extedit DESTINATION ${SG_LIBDIR})

target_link_libraries(extedit Qt5::Widgets Qt5::X11Extras Qt5Xdg)

=== debian/changelog ===
screengrab (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * Bumped Standards-Version to 4.4.1, no changes needed
  * Switched to gbp
  * Removed patches - not needed anymore
  * Added build dependency lxqt-build-tools (Closes: #948917)
  * Removed explicit build dependencies covered by lxqt-build-tools
  * Make dh_config more verbose about used options

 -- Alf Gaida <agaida@siduction.org>  Sat, 08 Feb 2020 17:05:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,17 @@
 Section: graphics
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               cmake,
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 3.3.1~),
-               libqt5xdgiconloader-dev (>= 3.3.1~) ,
+               libqt5xdg-dev (>= 3.4.0~),
+               libqt5xdgiconloader-dev (>= 3.4.0~) ,
                libx11-dev,
                libx11-xcb-dev,
                libxcb1-dev,
                libxcb-xfixes0-dev [!kfreebsd-any],
-               pkg-config,
-               qttools5-dev,
-               qttools5-dev-tools
-Standards-Version: 4.3.0
+               lxqt-build-tools
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
 Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git
 Homepage: https://github.com/lxqt/screengrab

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/screengrab/releases .*/screengrab-([\d\.]+).tar.xz

## screengrab 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(QT_MINIMUM_VERSION "5.10.0")
-set(QTXDG_MINIMUM_VERSION "3.4.0")
+set(QTXDG_MINIMUM_VERSION "3.5.0")
 
 find_package(Qt5LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Network ${QT_MINIMUM_VERSION} REQUIRED)
@@ -44,7 +44,7 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(SCREENGRAB_VERSION "2.0.0")
+set(SCREENGRAB_VERSION "2.0.1")
 
 if (DEV_VERSION)
     set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")

=== debian/changelog ===
screengrab (2.0.1-0ubuntu1) groovy; urgency=medium

  [ apt-ghetto ]
  * Removed patches, because they are applied upstream.
  * Updated rules and control.

  [ Simon Quigley ]
  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build depends.
  * Update Standards-version to 4.5.0, no changes needed.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:42:04 -0500

=== debian/control ===
Source: screengrab
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 3.5.0),
               libqt5xdgiconloader-dev (>= 3.5.0),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-xfixes0-dev [!kfreebsd-any],
               libxcb1-dev,
               lxqt-build-tools
Standards-Version: 4.5.0
Vcs-Browser: https://phab.lubuntu.me/source/screengrab/
Vcs-Git: https://phab.lubuntu.me/source/screengrab.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git
Homepage: https://github.com/lxqt/screengrab

Package: screengrab
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Crossplatform tool for getting screenshots
 Screengrab working in Linux and Windows. The program uses Qt and is
 independent of any desktop environment.
 Main features:
  * Get desktop screenshots
  * Get active window screenshots
  * Get secreenshots of desktop selection area
  * Copy screenshot to clipboard
  * Saving your image files in formats PNG or JPEG or BMP
  * Ability to set delay in getting screenshots (from 1 to 90 seconds)

## screengrab 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,8 @@
 
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(QT_MINIMUM_VERSION "5.10.0")
-set(QTXDG_MINIMUM_VERSION "3.5.0")
+set(QT_MINIMUM_VERSION "5.12.0")
+set(QTXDG_MINIMUM_VERSION "3.6.0")
 
 find_package(Qt5LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Network ${QT_MINIMUM_VERSION} REQUIRED)
@@ -44,7 +44,7 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(SCREENGRAB_VERSION "2.0.1")
+set(SCREENGRAB_VERSION "2.1.0")
 
 if (DEV_VERSION)
     set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")

=== debian/changelog ===
screengrab (2.1.0-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Bump debhelper-compat (=13).
    - Update Standards-version to 4.5.1, no changes needed.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sun, 21 Feb 2021 20:04:40 -0500

screengrab (2.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 17:21:24 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
@@ -17,7 +17,7 @@
                libxcb-xfixes0-dev [!kfreebsd-any],
                libxcb1-dev,
                lxqt-build-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://phab.lubuntu.me/source/screengrab/
 Vcs-Git: https://phab.lubuntu.me/source/screengrab.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab

## screengrab 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(QT_MINIMUM_VERSION "5.12.0")
-set(QTXDG_MINIMUM_VERSION "3.6.0")
+set(QTXDG_MINIMUM_VERSION "3.7.0")
 
 find_package(Qt5LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Network ${QT_MINIMUM_VERSION} REQUIRED)
@@ -44,7 +44,7 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(SCREENGRAB_VERSION "2.1.0")
+set(SCREENGRAB_VERSION "2.2.0")
 
 if (DEV_VERSION)
     set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")
@@ -164,6 +164,7 @@
 
 lxqt_translate_desktop(SCREENGRAB_DESKTOP_FILES
     SOURCES ${SCREENGRAB_DESKTOP_FILES_IN}
+    USE_YAML
 )
 
 qt5_translation_loader(SCREENGRAB_QM_LOADER

=== debian/changelog ===
screengrab (2.2.0-0ubuntu1) impish; urgency=medium

  * New upstream release 2.2.0
  * Update debian/control
    - Use libqt5xdg-dev 3.7.1
    - Use libqt5xdgiconloader-dev 3.7.1
  * Bump watch file version to 4
  * Rename tag for lintian override
  * Delete debian/source/include-binaries
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Wed, 18 Aug 2021 14:59:33 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 3.5.0),
-               libqt5xdgiconloader-dev (>= 3.5.0),
+               libqt5xdg-dev (>= 3.7.1),
+               libqt5xdgiconloader-dev (>= 3.7.1),
                libx11-dev,
                libx11-xcb-dev,
                libxcb-xfixes0-dev [!kfreebsd-any],

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,9 @@
 	# do nothing
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo
+	dh_auto_configure -- \
+	    -DSG_DBUS_NOTIFY=ON \
+	    -DSG_EXT_EDIT=ON \
+	    -DSG_GLOBALSHORTCUTS=OFF \
+	    -DUPDATE_TRANSLATIONS=OFF \
+	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/screengrab/releases .*/screengrab-([\d\.]+).tar.xz
